# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-10-05 07:35
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('project', '0006_auto_20180927_1220'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectCompanyEstimation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_estimated', models.BooleanField(default=False)),
                ('total_cost', models.FloatField(blank=True, null=True)),
                ('total_time', models.IntegerField(blank=True, null=True)),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='est_company', to='project.CompanyDetail')),
            ],
        ),
        migrations.RemoveField(
            model_name='project',
            name='is_estimated',
        ),
        migrations.RemoveField(
            model_name='project',
            name='total_cost',
        ),
        migrations.RemoveField(
            model_name='project',
            name='total_time',
        ),
        migrations.AddField(
            model_name='projectcompanyestimation',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='est_project', to='project.Project'),
        ),
    ]
